Update Donor
curl --request PATCH \
--url https://server.stage.overflow.co/api/v3/donors/{donorId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>' \
--data '
{
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"phone": "+1234567890"
}
'import requests
url = "https://server.stage.overflow.co/api/v3/donors/{donorId}"
payload = {
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"phone": "+1234567890"
}
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-client-id': '<api-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: 'john.doe@example.com',
firstName: 'John',
lastName: 'Doe',
phone: '+1234567890'
})
};
fetch('https://server.stage.overflow.co/api/v3/donors/{donorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update Donor
Updates the Donor Profile for the given id
PATCH
/
api
/
v3
/
donors
/
{donorId}
Update Donor
Authorizations
Client ID for API authentication
API Key for API authentication
Path Parameters
The ID of the donor to update.
Example:
"2ea1ae03ca521e437db76d76"
Body
application/json
Parameters to update a Donor Profile
Response
Successfully updated Donor Profile
Last modified on July 14, 2026
Was this page helpful?
⌘I